<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1Option.html">Option</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::Option&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a821753afdc3fac947a13a01fbe0d248e">none</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a821753afdc3fac947a13a01fbe0d248e">none</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a4178cd625b3ab4530580b53640bc2ce7">nullableValue</a></td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#aba0def0bd9cd45d4e00fe47a604b0270">operator bool</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#aba0def0bd9cd45d4e00fe47a604b0270">operator bool</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a96dccb86bdf45ee0c08e122b6133bef3">operator!</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a96dccb86bdf45ee0c08e122b6133bef3">operator!</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#afd989852fa453731c3190dac63caccb0">operator*</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a734fc9c2eb1a1f7f8e8f6a4eb12160f0">operator*</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#afd989852fa453731c3190dac63caccb0">operator*</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a734fc9c2eb1a1f7f8e8f6a4eb12160f0">operator*</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#acad340798a16c8f700f8763119e90f31">operator-&gt;</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#ae8343cbc36dbb95b2dce333d2a6fdc28">operator-&gt;</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#acad340798a16c8f700f8763119e90f31">operator-&gt;</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#ae8343cbc36dbb95b2dce333d2a6fdc28">operator-&gt;</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a78c65b15dd6b2fbd04c5012c43017c8f">operator=</a>(Option const &amp;_other)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a2be7e343ab22d6061726d32ab4622653">operator=</a>(T const &amp;_value)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a78c65b15dd6b2fbd04c5012c43017c8f">operator=</a>(Option const &amp;_other)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a2be7e343ab22d6061726d32ab4622653">operator=</a>(T const &amp;_value)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a8efb01b593d798decc80cbbdf311f2a3">Option</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a5aeb9c22d48a6882bdf5fb4730b06c86">Option</a>(T const &amp;_value)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#af02f2e4559f06384baec0def8c68c5fd">Option</a>(Option const &amp;_other)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a8efb01b593d798decc80cbbdf311f2a3">Option</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a5aeb9c22d48a6882bdf5fb4730b06c86">Option</a>(T const &amp;_value)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#af02f2e4559f06384baec0def8c68c5fd">Option</a>(Option const &amp;_other)</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a37b4e0e5d4d56296adacd267a616f4e0">reset</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a37b4e0e5d4d56296adacd267a616f4e0">reset</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a97c95829afbe92f2bcc5fd75b32c0825">some</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a97c95829afbe92f2bcc5fd75b32c0825">some</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#ab8db97b4ba6eb75aba3ebcdda6aebbd0">storage</a></td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a8d9ae2e30b0eb76fe134a6fbc8423124">valueOr</a>(T const &amp;defaultValue) const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a8d9ae2e30b0eb76fe134a6fbc8423124">valueOr</a>(T const &amp;defaultValue) const</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Option.html#a37fe90bb47bb909f150a5ad6be25581a">~Option</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Option.html#a37fe90bb47bb909f150a5ad6be25581a">~Option</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Option.html">Catch::Option&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
